summaryrefslogtreecommitdiff
path: root/debian/openssh-known-hosts.postrm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/openssh-known-hosts.postrm')
-rw-r--r--debian/openssh-known-hosts.postrm37
1 files changed, 37 insertions, 0 deletions
diff --git a/debian/openssh-known-hosts.postrm b/debian/openssh-known-hosts.postrm
new file mode 100644
index 0000000..7345ec1
--- /dev/null
+++ b/debian/openssh-known-hosts.postrm
@@ -0,0 +1,37 @@
+#!/bin/sh
+# postrm script for openssh-known-hosts
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+ purge)
+ rm -rf /var/cache/openssh-known-hosts/
+ rm -rf /var/lib/openssh-known-hosts/
+ ;;
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0